PACMAN-KEY(8)

NOME
pacman-key - gerencia a lista de chaves confiáveis do pacman

SINOPSE

pacman-key [opções] operação [alvos]

DESCRIÇÃO

pacman-key é um script wrapper para o GnuPG usado para gerenciar o chaveiro do pacman, que é a coleção de chaves PGP usadas para verificar pacotes e base de dados assinados. Ele fornece a capacidade de importar e exportar chaves, buscar chaves dos servidores de chaves e atualizar a base de dados de confiança de chaves.

Um gerenciamento de chaveiro mais complexo pode ser obtido usando o GnuPG, combinado diretamente com a opção --homedir, apontando para o chaveiro do pacman (localizado em /etc/pacman.d/gnupg por padrão).

A chamada do pacman-key consiste em fornecer uma operação com todas as opções e alvos possíveis para operar. Dependendo da operação, um alvo pode ser um identificador de chave, nome de arquivo ou diretório válido.

OPERAÇÕES

-a, --add
    Adiciona uma ou mais chaves contidas no arquivo ou arquivos especificados no chaveiro do pacman. Se uma chave já existir, atualiza-a.

-d, --delete
    Remove uma ou mais chaves identificadas por keyid(s) especificados do chaveiro do pacman.

-e, --export
    Exporta as chaves identificadas pelos keyids especificados para stdout. Se nenhum keyid for especificado, todas as chaves serão exportadas.

--edit-key
    Apresenta um menu para a tarefa de gerenciamento de chaves nos keyids especificados. Útil para ajustar um nível de confiança de chaves.

-f, --finger
    Lista uma impressão digital para cada keyid especificado ou para todas as chaves conhecidas se nenhum keyid for especificado.

-h, --help
    Emite sintaxe e opções de linha de comando.

--import
    Importa chaves de pubring.gpg para o chaveiro público dos diretórios especificados.

--import-trustdb
    Importa valores de confiança do proprietário de trustdb.gpg na base de dados de confiança compartilhada dos diretórios especificados.

--init
    Verifica se o chaveiro foi inicializado corretamente e tem as permissões de acesso necessárias.

-l, --list-keys
    Lista todas ou chaves especificadas do chaveiro público.

--list-sigs
    O mesmo que --list-keys, mas as assinaturas também estão listadas.

--lsign-key
    Assina localmente a chave fornecida. Isso é usado principalmente para enraizar a rede de confiança na chave privada local gerada por --init.

--nocolor
    Desabilita a saída colorida de pacman-key.

-r, --recv-keys
    Equivalente a --recv-keys no GnuPG.

--refresh-keys
    Equivalente a --refresh-keys no GnuPG.

--populate
    Recarrega as chaves padrão dos chaveiros (opcionalmente fornecidos) em /usr/share/pacman/keyrings. Para obter mais informações, consulte Fornecendo um Chaveiro para Importação abaixo de.

-u, --updatedb
    Equivalente a --check-trustdb em GnuPG. Esta operação pode ser especificada com outras operações.

-V, --version
    Exibe a versão do programa.

-v, --verify
    Supõe que o primeiro argumento seja uma assinatura e verifica-o. Se um segundo argumento for fornecido, é o arquivo a ser verificado.

    Com apenas um argumento, supõe que a assinatura seja uma assinatura desanexada e procure um arquivo de dados correspondente a ser verificado removendo a extensão do arquivo. Se nenhum arquivo de dados correspondente for encontrado, volta para a semântica do GnuPG e tenta verificar um arquivo com uma assinatura incorporada.

OPÇÕES

--config <arquivo>
    Usa um arquivo de configuração alternativo em vez do /etc/pacman.conf padrão.

--gpgdir <diretório>
    Define um diretório inicial alternativo para o GnuPG. Se não especificado, o valor será lido em /etc/pacman.conf.

--keyserver <servidor de chaves>
    Use o servidor de chaves especificado se a operação exigir um. Isso terá precedência sobre qualquer opção de servidor de chaves especificada em um arquivo de configuração gpg.conf. Executar --init com esta opção definirá o servidor de chaves padrão se um ainda não estiver configurado.

FORNECENDO UM CHAVEIRO PARA IMPORTAÇÃO

Uma distribuição ou outro repositório fornecido pode querer fornecer um conjunto de chaves PGP usadas na assinatura de seus pacotes e suas bases de dados de repositórios que podem ser prontamente importados para o chaveiro pacman. Isso é obtido fornecendo um arquivo de chaveiro PGP foo.gpg que contém as chaves para o chaveiro foo no diretório /usr/share/pacman/keyrings.

Opcionalmente, o arquivo foo-trusted pode ser fornecido contendo uma lista de IDs de chave confiáveis para esse chaveiro. Este é um arquivo em um formato compatível com a saída gpg --export-ownertrust. Este arquivo informará ao usuário quais chaves um usuário precisa verificar e assinar para criar uma rede local de confiança, além de atribuir valores de confiança do proprietário fornecidos.

Também opcionalmente, o arquivo foo-revoked pode ser fornecido contendo uma lista de IDs de chave revogados para esse chaveiro. Revogado é definido como "não é mais válido para qualquer assinatura", portanto deve ser usado com prudência. Uma chave que está sendo marcada como revogada será desabilitada no chaveiro e não será mais tratada como válida; portanto, isso sempre terá prioridade sobre seu estado confiável em qualquer outro chaveiro.

VEJA TAMBÉM

pacman(8), pacman.conf(5)

Consulte o site do pacman em https://archlinux.org/pacman/ para obter informações atuais sobre o pacman e suas ferramentas relacionadas.

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, envie um relatório de erro com o máximo de detalhes possível no rastreador de erros do Arch Linux na seção Pacman.

AUTORES

Atuais mantenedores:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Principais colaboradores anteriores:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para outros contribuidores, use git shortlog -s no repositório pacman.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).